io.vertx.ext.web.client.spi

## Interface CookieStore

-     public interface CookieStore

  A cookie store that manages cookies for a single user; received for different domains and valid for different paths.
  Author:
    Tommaso Nolli

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CookieStore` | `build()` Builds an in memory cookie store.
    `Iterable<io.netty.handler.codec.http.cookie.Cookie>` | `get(Boolean ssl, String domain, String path)` Returns and `Iterable` of cookies satisfying the filters passed as paraemters.
    `CookieStore` | `put(io.netty.handler.codec.http.cookie.Cookie cookie)` Add a cookie to this `CookieStore`.
    `CookieStore` | `remove(io.netty.handler.codec.http.cookie.Cookie cookie)` Removes a previously added cookie.

- - ### Method Detail

    - #### build

          static CookieStore build()

      Builds an in memory cookie store.
      Returns:
        the new cookie store

    - #### get

          Iterable<io.netty.handler.codec.http.cookie.Cookie> get(Boolean ssl,
                                                                  String domain,
                                                                  String path)

      Returns and `Iterable` of cookies satisfying the filters passed as paraemters.

      It is implementation responsibility to return the appropriate cookies between the ones stored in this store and to clean up the path.

      Parameters:
        `ssl` - true if is the connection secure
        `domain` - the domain we are calling
        `path` - the path we are calling
      Returns:
        the matched cookies

    - #### put

          CookieStore put(io.netty.handler.codec.http.cookie.Cookie cookie)

      Add a cookie to this `CookieStore`.

      If a cookie with the same name is received from the server, it will overwrite this setting.

      Parameters:
        `cookie` - the `Cookie` to add
      Returns:
        a reference to this, so the API can be used fluently

    - #### remove

          CookieStore remove(io.netty.handler.codec.http.cookie.Cookie cookie)

      Removes a previously added cookie.
      Parameters:
        `cookie` - the `Cookie` to remove
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2021 Eclipse. All rights reserved.